package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.DevProcess;
import com.ruoyi.ems.mapper.DevProcessMapper;
import com.ruoyi.ems.service.IDevProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源设施工艺系统维Service业务层处理
 *
 * @author ruoyi
 * @date 2024-09-30
 */
@Service
public class DevProcessServiceImpl implements IDevProcessService {
    @Autowired
    private DevProcessMapper devProcessMapper;

    /**
     * 查询能源设施工艺系统维
     *
     * @param id 能源设施工艺系统维主键
     * @return 能源设施工艺系统维
     */
    @Override
    public DevProcess selectDevProcessById(Long id) {
        return devProcessMapper.selectDevProcessById(id);
    }

    /**
     * 查询能源设施工艺系统维列表
     *
     * @param devProcess 能源设施工艺系统维
     * @return 能源设施工艺系统维
     */
    @Override
    public List<DevProcess> selectDevProcessList(DevProcess devProcess) {
        return devProcessMapper.selectDevProcessList(devProcess);
    }

    /**
     * 新增能源设施工艺系统维
     *
     * @param devProcess 能源设施工艺系统维
     * @return 结果
     */
    @Override
    public int insertDevProcess(DevProcess devProcess) {
        return devProcessMapper.insertDevProcess(devProcess);
    }

    /**
     * 修改能源设施工艺系统维
     *
     * @param devProcess 能源设施工艺系统维
     * @return 结果
     */
    @Override
    public int updateDevProcess(DevProcess devProcess) {
        return devProcessMapper.updateDevProcess(devProcess);
    }

    /**
     * 批量删除能源设施工艺系统维
     *
     * @param ids 需要删除的能源设施工艺系统维主键
     * @return 结果
     */
    @Override
    public int deleteDevProcessByIds(Long[] ids) {
        return devProcessMapper.deleteDevProcessByIds(ids);
    }

    /**
     * 删除能源设施工艺系统维信息
     *
     * @param id 能源设施工艺系统维主键
     * @return 结果
     */
    @Override
    public int deleteDevProcessById(Long id) {
        return devProcessMapper.deleteDevProcessById(id);
    }
}
